import { Injectable } from "@angular/core";
import { BehaviorSubject } from "rxjs";
import { Server } from "src/app/models/data/server.model";

@Injectable({
  providedIn: 'root'
})
export class ServerService {

  private server!: Server;
  server$ = new BehaviorSubject<Server | null>(null);

  constructor() {
    this.server$.subscribe(server => {
      if (!server) {
        return;
      }
      this.server = server;
    });
  }


}
